desync(1)

NAME
desync-cache - Read indexes and copy the referenced chunks

SYNOPSIS
desync cache <index> [<index>...] [flags]

DESCRIPTION
Read chunk IDs from one or more index files (caibx or caidx) and copy the referenced chunks from the source store(s) into the target store given with -c, without assembling any blob on disk. This can be used to pre-populate a cache, or to replicate the chunks referenced by indexes into another store. Use '-' to read (a single) index from STDIN.

To exclude chunks that are known to exist in the target store already, use --ignore <index> which will skip any chunks from the given index. The same can be achieved by providing the chunks in their ASCII representation in a text file with --ignore-chunks <file>.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-c, --cache=""
    target store the chunks are copied to

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for cache

--ignore=[]
    index(es) with chunks to be excluded

--ignore-chunks=[]
    text file with chunk IDs to be excluded

-s, --store=[]
    source store(s)

-t, --trust-insecure[=false]
    trust invalid certificates

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync cache -s http://192.168.1.1/ -c /path/to/local file.caibx

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra